/* Definition of a pattern structure */
#ifndef PATTERN_H
#define PATTERN_H


/* A pattern is essentially a two-dimensional array with characters */
/* To each value between 0 and 9 an RGB color is stored */
typedef 
  struct 
    {
    char **pat;
    short nrows;
    short ncols;
    int colors[10][3];
    } 
    PATTERN;

/* The functions */
PATTERN *  HasPattern(CELL cat);

int        set_pattern(CELL cat, char *name);
int        defpatfile(char *name);
int print_pattern  (CELL cat, double width, double height);
void       get_color(CELL cat, int *red, int *green, int *blue, struct Colors *colors, int row, int col);


#endif
